"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenPermissionsForSubject = flattenPermissionsForSubject;
const PermissionResolver_1 = require("../PermissionResolver");
function flattenPermissionsForSubject(subject, resources, rules) {
    const resolver = new PermissionResolver_1.PermissionResolver(rules);
    const permissions = [];
    for (const resource of resources) {
        const actions = Array.from(new Set(rules.filter(r => r.resource === resource.type).map(r => r.action)));
        for (const action of actions) {
            if (resolver.can(subject, resource, action)) {
                permissions.push(`${resource.type}:${action}`);
            }
        }
    }
    return permissions;
}
