import jsonLogic from "json-logic-js";

export function evaluateCondition(condition: any, context: any): boolean {
  const transformedContext: Record<string, any> = {};

  for (const root of ["subject", "resource"]) {
    if (context[root]) {
      for (const [key, value] of Object.entries(context[root])) {
        transformedContext[`${root}.${key}`] = value;
      }
    }
  }

  return jsonLogic.apply(condition, transformedContext);
}
